Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Class InternetExplorerEngine

    java.lang.Object
      org.jdesktop.jdic.browser.InternetExplorerEngine

All Implemented Interfaces:
  IBrowserEngine

public class InternetExplorerEngine
extends java.lang.Object
implements IBrowserEngine

Handles the communication with Internet Explorer.

Constructor Summary
`InternetExplorerEngine()`

Method Summary
`java.lang.String` | `getBrowserBinary()`
`java.lang.String` | `getBrowserName()` Returns the standardadized name of the embedded browser engine.
`java.lang.String` | `getCharsetName()`
`java.lang.String` | `getEmbeddedBinaryName()`
`java.lang.String` | `getFileProtocolURLPrefix()` IE omited the file protocol
`protected java.lang.String` | `getNspr4dllPath()` Deprecated.
`void` | `initialize()` Initialize engine.
`boolean` | `isDefaultBrowser(java.lang.String browserPath)` Checks whether IE is the default Browser.
`boolean` | `isEngineAvailable()` Checks whether the associated Engine is available on the current system.
`boolean` | `isInitialized()` check if the browser engine has been intialized.
`protected boolean` | `prepareVariables()`
`void` | `setEnginePath(java.lang.String fullPath)` Not suppored under win for IE
`protected void` | `setEnv()` Pre-append the "ielib" directory to PATH, which includes the bundled,IeEmbed.exe dependent library nspr4.dll.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternetExplorerEngine

    public InternetExplorerEngine()

Method Detail

### getBrowserName

    public java.lang.String getBrowserName()

  Description copied from interface: `IBrowserEngine`
  Returns the standardadized name of the embedded browser engine. The name identifies the browser type but not the browser version. This name should be the same for all browser engines that embed the same browser, independent of platform. Names should be such that they can be presented in an English user dialog for choosing their favorite embedded engine. They may have spaces but they may not be internationalized. Examples for the standardized names are: Internet Explorer, Mozilla.

  Specified by:
    `getBrowserName` in interface `IBrowserEngine`
  Returns:
    The standardized name of the embedded browser engine. May not be null or empty.

### isEngineAvailable

    public boolean isEngineAvailable()

  Checks whether the associated Engine is available on the current system. This is a prerequisite for creating `Browser` instances on the current system.

  Specified by:
    `isEngineAvailable` in interface `IBrowserEngine`
  Returns:
    true if an engine is available, false if no engine is available, the engine is not found or can not be accessed.

### isDefaultBrowser

    public boolean isDefaultBrowser(java.lang.String browserPath)

  Checks whether IE is the default Browser.

  Specified by:
    `isDefaultBrowser` in interface `IBrowserEngine`
  Parameters:
    `browserPath` - default browser path taken from the OS or whereever
  Returns:
    true if this BrowserEngine represents the default browser, false otherwise or if browserPath is null

### prepareVariables

    protected boolean prepareVariables()

  Returns:

### setEnv

    protected void setEnv()

  Pre-append the "ielib" directory to PATH, which includes the bundled,IeEmbed.exe dependent library nspr4.dll. If nspr4.dll doesn't under curr folder,user can: 1. set it through setLibPath method 2. set it directlly in the path

### getBrowserBinary

    public java.lang.String getBrowserBinary()

### getNspr4dllPath

    protected java.lang.String getNspr4dllPath()

  Deprecated.

  Returns:
    Returns the nspr4dllPath.

### initialize

    public void initialize()
                    throws org.jdesktop.jdic.init.JdicInitException

  Description copied from interface: `IBrowserEngine`
  Initialize engine.

  Specified by:
    `initialize` in interface `IBrowserEngine`
  Throws:
    `org.jdesktop.jdic.init.JdicInitException`

### getEmbeddedBinaryName

    public java.lang.String getEmbeddedBinaryName()

  Specified by:
    `getEmbeddedBinaryName` in interface `IBrowserEngine`
  Returns:
    embeded name of current browser.

### setEnginePath

    public void setEnginePath(java.lang.String fullPath)

  Not suppored under win for IE

  Specified by:
    `setEnginePath` in interface `IBrowserEngine`

### getCharsetName

    public java.lang.String getCharsetName()

  Specified by:
    `getCharsetName` in interface `IBrowserEngine`
  Returns:
    browser's default charset used to de/encode messages.

### getFileProtocolURLPrefix

    public java.lang.String getFileProtocolURLPrefix()

  IE omited the file protocol

  Specified by:
    `getFileProtocolURLPrefix` in interface `IBrowserEngine`
  Returns:
    browser's file protocol prefix (eg. "file:/")

### isInitialized

    public boolean isInitialized()

  Description copied from interface: `IBrowserEngine`
  check if the browser engine has been intialized. It needs only be initialized once.

  Specified by:
    `isInitialized` in interface `IBrowserEngine`
  Returns:
    if initialized return true else return false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.